> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a transaction check

> Returns the stored risk assessment for a previously submitted transaction check.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json get /api/v4/kyt/checks/transaction/{id}
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/checks/transaction/{id}:
    get:
      tags:
        - Transaction Checks
      summary: Get a transaction check
      description: >-
        Returns the stored risk assessment for a previously submitted
        transaction check.
      operationId: GET_/api/v4/kyt/checks/transaction/:id
      parameters:
        - description: Check identifier.
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Check not found.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionCheckResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/TransactionCheckResponse'
          description: Transaction check.
      security:
        - ApiKey: []
components:
  schemas:
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
    TransactionCheckResponse:
      description: TransactionCheckResponse schema
      properties:
        alerts:
          items:
            nullable: true
            properties:
              address:
                example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
                type: string
              alert_id:
                example: 8d111a21-007e-4c87-b110-c11111dd4abf
                type: string
              balance:
                example: '0.150'
                nullable: true
                type: string
              blockchain:
                example: eth
                type: string
              date:
                format: date-time
                type: string
              id:
                example: 9d888b12-007e-2a09-a140-c77788dd4dba
                type: string
              risk_grade:
                example: high
                nullable: true
                type: string
              risk_profile:
                example: Standard
                type: string
              status:
                example: true
                type: boolean
              token:
                example: ''
                type: string
              triggered_by:
                items:
                  nullable: true
                  properties:
                    total:
                      example: '150.00'
                      type: string
                    total_count:
                      example: '3'
                      type: string
                    total_count_coef:
                      example: '0.01'
                      type: string
                    type:
                      example: SANCTIONS
                      nullable: true
                      type: string
                    type_label:
                      example: Sanctions
                      type: string
                  type: object
                nullable: true
                type: array
            type: object
          type: array
        block_number:
          example: 19500000
          type: integer
        blockchain:
          enum:
            - btc
            - eth
            - trx
          example: eth
          type: string
        error:
          example: ''
          nullable: true
          type: string
        from_entity:
          items:
            nullable: true
            properties:
              name:
                example: Coinbase
                type: string
              type:
                example: EXCHANGE_LICENSED
                type: string
              type_label:
                example: Licensed Exchange
                type: string
            type: object
          type: array
        id:
          example: a1b2c3d4-e5f6-4890-8bcd-ef1234567890
          format: uuid
          type: string
        indirects:
          items:
            nullable: true
            properties:
              risk_score_grade:
                example: moderate
                nullable: true
                type: string
              total:
                example: '50.00'
                nullable: true
                type: string
              total_count:
                example: '1'
                nullable: true
                type: string
              total_count_coef:
                example: '0.005'
                nullable: true
                type: string
              type:
                example: MIXING_SERVICE
                nullable: true
                type: string
              type_label:
                example: Mixing Service
                nullable: true
                type: string
            type: object
          type: array
        inputs:
          example: 2
          nullable: true
          type: integer
        outputs:
          example: 2
          nullable: true
          type: integer
        risk_score:
          example: '0.15'
          nullable: true
          type: string
        risk_score_grade:
          enum:
            - high
            - moderate
            - low
            - undefined
          example: low
          nullable: true
          type: string
        status:
          example: success
          type: string
        timestamp:
          format: date-time
          type: string
        to_entity:
          items:
            nullable: true
            properties:
              name:
                example: Unknown
                type: string
              type:
                example: ONLINE_WALLET
                type: string
              type_label:
                example: Online Wallet
                type: string
            type: object
          type: array
        token:
          enum:
            - ''
            - USDC
            - USDT
          example: ''
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````